package com.jz.common.utils.realTime;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.IOException;

public class CmdUtils {
	
	private static final Logger LOGGER = LoggerFactory.getLogger(CmdUtils.class);
	
	/**
	 * 执行shell命令
	 * @param shellPath shell路径
	 * @param args shell参数
	 * @return
	 */
	public static boolean callShell(String shellPath,String ...args) {
		
		boolean result = true;

		try {

		StringBuffer shellSb = new StringBuffer();
		shellSb.append(shellPath);
		if (args != null && args.length >= 1) {
			for (String arg : args) {
				shellSb.append(" ");
				shellSb.append(arg);
				shellSb.append(" ");
			}
		}
		
		String shell = shellSb.toString();
		LOGGER.info("执行shell:"+shell);

			Process process = Runtime.getRuntime().exec(shell);
			int status = 0 ;
			try {
				status = process.waitFor();
				LOGGER.info("执行shell:"+shell+" 返回status:"+status);
				if(status != 0){  
		        	result = false;
		        }
			} catch (InterruptedException e) {
				result = false;
				e.printStackTrace();
			}  
	        
		} catch (IOException e) {
			result = false ;
			e.printStackTrace();
			
		}
		return result;
	}
}
